Bug 142049 - UI 3D charts Data Series -> Layout tab looks ugly
Summary: UI 3D charts Data Series -> Layout tab looks ugly
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.2.0.3 release
Hardware: All All
: lowest trivial
Assignee: Caolán McNamara
URL:
Whiteboard: target:7.2.0 target:7.1.4
Keywords: bibisected, bisected, regression
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2021-05-03 08:08 UTC by NISZ LibreOffice Team
Modified: 2021-06-14 14:50 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Screenshot of the problematic Layout tab in Writer 6.1 and 6.2 (62.53 KB, image/png)
2021-05-03 08:08 UTC, NISZ LibreOffice Team
Details
How it looks now (30.98 KB, image/png)
2021-05-10 09:12 UTC, NISZ LibreOffice Team
Details

Note You need to log in before you can comment on or make changes to this bug.
Description NISZ LibreOffice Team 2021-05-03 08:08:22 UTC
Created attachment 171599 [details]
Screenshot of the problematic Layout tab in Writer 6.1 and 6.2

In a 3D chart the data series settings Layout tab looks ugly:
- has an empty frame at the top
- has a vertical line on the left
- it has a scrolled box for selecting the 4 shape types, but it’s too small to fit the 4 items

Steps to reproduce:
    1. Open attachment 169131 [details] from bug 139515
    2. Edit the chart, then open the properties of any of the data series 
    3. Observe the Layout tab

Actual results:
As above

Expected results:
Layout tab looked correct in 6.1, get that look back.

LibreOffice details:
Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 9c930c4f3109d123c0831d0fcecf9c8b32e5bbc7
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Version: 6.2.0.3
Build ID: 98c6a8a1c6c7b144ce3cc729e34964b47ce25d62
CPU threads: 4; OS: Windows 10.0; UI render: default; VCL: win; 
Locale: hu-HU (hu_HU); UI-Language: en-US
Calc: threaded

Not yet in:
Version: 6.1.0.3
Build ID: efb621ed25068d70781dc026f7e9c5187a4decd1
CPU threads: 4; OS: Windows 10.0; UI render: default; 
Locale: en-US (hu_HU); Calc: group threaded
Comment 1 Xisco Faulí 2021-05-05 09:13:43 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=ec548bce309d965a25e807ae79432114926e06f3

author	Caolán McNamara <caolanm@redhat.com>	2018-10-15 11:14:02 +0100
committer	Caolán McNamara <caolanm@redhat.com>	2018-10-15 21:02:23 +0200
commit	ec548bce309d965a25e807ae79432114926e06f3 (patch)
tree	525284db036785ff1e606e65edcc75a66ede4d3d
parent	ff643eb3c5b1a50aab5e544ea689e227eecc751d (diff)
weld ChartTypeDialog and SchLayoutTabPage

Bisected with: bibisect-linux64-6.2

Adding Cc: to Caolán McNamara
Comment 2 Commit Notification 2021-05-05 14:23:06 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/4ff983b930dc15658aa531759d3f1e5b9586aeab

Related: tdf#142049 restore some elements default visibility in the ui

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Commit Notification 2021-05-05 14:23:16 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/commit/21f53f55f82f12fbee4e0d93ff26d3bb05ec3c55

Resolves: tdf#142049 expand widget to use unused extra space

It will be available in 7.2.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Commit Notification 2021-05-05 21:44:53 UTC
Caolán McNamara committed a patch related to this issue.
It has been pushed to "libreoffice-7-1":

https://git.libreoffice.org/core/commit/e24a8d1484befe9e2bbb1937ace5493ea7b5f80d

Resolves: tdf#142049 expand widget to use unused extra space

It will be available in 7.1.4.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 5 NISZ LibreOffice Team 2021-05-10 09:12:02 UTC
Created attachment 171815 [details]
How it looks now

Much better in:

Version: 7.2.0.0.alpha0+ (x64) / LibreOffice Community
Build ID: 1675a68526c43c6c6e4dc850ee911f0c1de75c88
CPU threads: 4; OS: Windows 10.0 Build 18363; UI render: Skia/Raster; VCL: win
Locale: hu-HU (hu_HU); UI: en-US
Calc: CL

Thanks for fixing this one!
Comment 6 BogdanB 2021-05-26 04:44:42 UTC
Confirm the look from comment 5. It's ok.

Verified in
Version: 7.2.0.0.alpha1+ / LibreOffice Community
Build ID: 42d2b2d55a27f11153ea1713737d93540a19211d
CPU threads: 4; OS: Linux 5.8; UI render: default; VCL: gtk3
Locale: ro-RO (ro_RO.UTF-8); UI: en-US
Calc: threaded